Subject: bug#34289: Mention why killed groups come back anyway next time one starts gnus

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 11 Jul 2019 13:34:51 -0700

積丹尼 Dan Jacobson <[email-masked]> writes:

> LI> If you want to delete an IMAP mail box, you delete it on the server.
>
> I recall I had split up my mail via .procmailrc into various local file
> mailboxes, and then told gnus where they were.
>
> I long ago removed those files, and tried my best to get gnus to forget
> them completely...

If you're dealing with local mailboxes, you should be able to to "C-u G
<del>" on the group to actually remove the group from your filesystem.
If you've already deleted the directory from your filesystem... I don't
know why it would be coming back. A simple "C-k" is enough to
unsubscribe you, and if the directories don't exist at all anymore, Gnus
shouldn't resurrect them. Were these groups on nnml, nnmaildir, nn?...

Eric